#
# spec file for package fop (Version 0.20.5)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         fop
License:      Apache
Group:        Productivity/Publishing/XML
Summary:      Formatter for printing XSLT processed XML files
Requires:     jre1.3.x
Version:      0.20.5
Release:      71.2
URL:          http://xml.apache.org/fop/
Source0:      http://apache.easy-webs.de/xml/fop/fop-%{version}-src.tar.gz
Source1:      fop-sh
Source2:      fop-xalan-sh
#Patch0:       fop-sh.diff
#Patch1:       xalan-sh.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
FOP (Formatting Objects Processor) is driven by XSL formatting objects
(XSL-FO). It is a Java application that reads a formatting object (FO)
tree and renders the resulting pages to one of the following output
formats: PDF (primary output target), PCL, PS, SVG, XML (area tree
representation), Print, AWT, MIF and TXT.



%prep
%setup -q
# %patch -p 1 -P 0 -P 1
cp %{S:1} %{S:2} .

%build

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
echo "\
Additional documentation and examples you will find in:

%_defaultdocdir/%{name}" \
  > $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/README.docs
cp -a lib build conf \
  fop.bat fop.sh xalan.bat xalan.sh \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
ln -sf %{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/%{name}
#
# fop and xalan wrapper
install -m 755 -d $RPM_BUILD_ROOT%{_prefix}/bin/
#install -m 755 fop.sh $RPM_BUILD_ROOT%{_prefix}/bin/%{name}
#install -m 755 xalan.sh $RPM_BUILD_ROOT%{_prefix}/bin/xalan
install -m 755 fop-sh $RPM_BUILD_ROOT%{_prefix}/bin/fop
install -m 755 fop-xalan-sh $RPM_BUILD_ROOT%{_prefix}/bin/fop-xalan

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
# README.SuSE
%doc CHANGES README STATUS LICENSE ReleaseNotes.html
%doc examples docs
%{_prefix}/bin/*
%{_datadir}/%{name}
%{_datadir}/%{name}-%{version}/

%changelog -n fop
* Wed Apr 28 2004 - ke@suse.de
- Provide wrapper scripts for fop.sh and xalan.sh to make it find the
  java environment; reported by Thomas Schraitle; fix provided by Petr
  Mladek [#39581].
* Mon Oct 27 2003 - ke@suse.de
- New package: version 0.20.5.
